<?php
/***********************************************************************************/
/* MassCRM客户关系管理系统							   							   */
/* ========================      						 						   */
/* 欢迎使用 MassCRM ,在您开始使用之前,请务必完整阅读本软件附带的全部说明档	  		   */
/***********************************************************************************/
/* Welcome to http://www.massboxes.com & http://masscrm.massboxes.com		   	   */
/***********************************************************************************/
	//主机，用户，密码，数据库
	$account=$HTTP_SESSION_VARS["account"];
	include_once "../account/".$account.".boxes.inc.php";

	//包含adodb.inc.php
	require_once('../adodb/adodb.inc.php');

	//mysql数据库
	$conn = &ADONewConnection('mysql');

	//显示debug过程
	//$conn->debug=true;

	//连接数据库
	$conn->PConnect($MYSQL_HOSTNAME, $MYSQL_USERNAME, $MYSQL_PASSWORD, $DATABASE);
	
	//Smarty模板库
	require_once '../smarty/Smarty.class.php';

	$smart=new smarty;
	$smart->caching= false;
	$smart->compile_check=true;
	$smart->template_dir = '../templates/'.$TEMPLATE_STYLE.'/';
	$smart->compile_dir = '../smarty/templates_c/';
	$smart->config_dir = '../smarty/configs/';
	$smart->cache_dir = '../smarty/cache/';
	$smart->left_delimiter = '{/';
	$smart->right_delimiter = '/}';
	
	//检查系统是否锁定
	$bu_auto_id		= $HTTP_SESSION_VARS["user_auto_id"];
	require_once"../includes/BiaoCommon.class.php";
	$boxesDB=new BiaoCommon($conn); 
	$boxesDB->setTableName("boxes_lock_system");
	$boxes_check=$boxesDB->selectResult();
	$check_row=$boxes_check[0];
	if($check_row[is_lock] and $bu_auto_id!=$check_row[bu_auto_id]){
		$error="系统已经暂时被 $check_row[bu_name] 锁定，如有问题请联系 $check_row[bu_name] <br><br>锁定时间：$check_row[lock_time]";
//		echo"<script>alert(\"$error\");</script>";
		$smart->assign(array("error"	=>	$error));
		$smart->display('error.tpl.htm');
		exit;
	}
	elseif($check_row[is_lock] and $bu_auto_id==$check_row[bu_auto_id]){
		echo"<script>alert(\"$check_row[lock_time] 升级数据未完成，系统仍处于锁定状态，准备解锁……\");</script>";
		$boxesDB->setTableName("boxes_lock_system");
		$boxesDB->setUpdateArray("is_lock",0);
		$boxesDB->setUpdateArray("lock_time",date("Y-m-d H:i:s",time()));
		$boxesDB->setUpdateArray("bu_name",$check_row[bu_name]);
		$boxesDB->setUpdateArray("bu_auto_id",$check_row[bu_auto_id]);
		$boxesDB->setCondition("");
		$boxes_result=$boxesDB->updateRow();
		echo"<script>alert(\"系统解锁成功!\");</script>";
	}
	
?>